Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/AMM12/namelist_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/AMM12/namelist_cfg	(revision 5702)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/AMM12/namelist_cfg	(revision 5703)
@@ -425,2 +425,10 @@
 !-----------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namsto       ! Stochastic parametrization of EOS
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&nam_vvl    !   vertical coordinate options
+!-----------------------------------------------------------------------
+/
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg	(revision 5702)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_cfg	(revision 5703)
@@ -9,4 +9,5 @@
    cn_exp      =  "O1L3P_trust"        !  experience name
    nn_itend    =     240               !  last  time step (std 5475)
+   nn_euler    =       0               !  = 0 : start with forward time step if ln_rstart=T
    nn_stock    =     120               !  frequency of creation of a restart file (modulo referenced to 1)
 /
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_ice_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_ice_cfg	(revision 5703)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA1_LIM3_PISCES/namelist_ice_cfg	(revision 5703)
@@ -0,0 +1,42 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/LIM-3 : Ice configuration namelist. Overwrites SHARED/namelist_ice_lim3_ref
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+
+!-----------------------------------------------------------------------
+&namicerun     !   Share parameters for dynamics/advection/thermo
+!-----------------------------------------------------------------------
+   ln_limdiahsb  = .false.         !  check the heat and salt budgets (T) or not (F)
+   ln_limdiaout  = .false.          !  output the heat and salt budgets (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namiceini     !   ice initialisation
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicedyn     !   ice dynamic
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicethd     !   ice thermodynamic
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicesal     !   ice salinity
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namiceitdme   !   parameters for mechanical redistribution of ice 
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namicedia     !   ice diagnostics
+!-----------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namiceitd     !   Ice discretization
+!------------------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namicehdf     !   Ice horizontal diffusion
+!------------------------------------------------------------------------------
+/
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_cfg	(revision 5702)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_cfg	(revision 5703)
@@ -195,2 +195,11 @@
 !-----------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namsto       ! Stochastic parametrization of EOS
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrd        !   diagnostics on dynamics and/or tracer trends
+!              !       and/or mixed-layer trends and/or barotropic vorticity
+!-----------------------------------------------------------------------
+/
Index: /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_top_cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_top_cfg	(revision 5702)
+++ /branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/TRUST/inputs/ORCA2_LIM_PISCES/namelist_top_cfg	(revision 5703)
@@ -88,2 +88,10 @@
 !-----------------------------------------------------------------------
 /
+!-----------------------------------------------------------------------
+&namtrc_dmp    !   passive tracer newtonian damping   
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namtrc_ice       !    Representation of sea ice growth & melt effects
+!-----------------------------------------------------------------------
+/