Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/extract_rst.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/extract_rst.sh	(revision 5733)
@@ -109,5 +109,5 @@
 # ==========
 #
-# $Id$
+# $Id: extract_rst.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2009-04-20T08:13:37Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/install.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/install.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/install.sh	(revision 5733)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: install.sh 2246 2010-10-13 09:47:23Z rblod $
 #
 # - fplod 2008-09-16T15:24:26Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/makefile_compile
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/makefile_compile	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/ADM/DOC_SCRIPTS/makefile_compile	(revision 5733)
@@ -21,5 +21,5 @@
 # ==========
 #
-# $Id$
+# $Id: makefile_compile 2520 2010-12-27 14:43:36Z rblod $
 #
 # - fplod 20100419T145702Z aedon.locean-ipsl.upmc.fr (Darwin)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/makenemo	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/CONFIG/makenemo	(revision 5733)
@@ -75,5 +75,5 @@
 # ==========
 #
-# $Id$
+# $Id: makenemo 5144 2015-03-11 15:51:28Z timgraham $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modarrays.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modarrays.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbc.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbc.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modbcfunction.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modbcfunction.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcluster.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcluster.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modcurgridfunctions.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modcurgridfunctions.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinitvars.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinitvars.F 2528 2010-12-27 17:33:53Z rblod $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterp.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterp.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modinterpbasic.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modinterpbasic.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmask.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmask.F 2528 2010-12-27 17:33:53Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modmpp.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modmpp.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modsauv.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modsauv.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdate.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdate.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modupdatebasic.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modupdatebasic.F 2715 2011-03-30 15:58:35Z rblod $
 !
 C     AGRIF (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/AGRIF/AGRIF_FILES/modutil.F	(revision 5733)
@@ -1,4 +1,4 @@
 !
-! $Id$
+! $Id: modutil.F 2731 2011-04-08 12:05:35Z rblod $
 !
 C     Agrif (Adaptive Grid Refinement In Fortran)
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/rebuild	(revision 5733)
@@ -1,5 +1,5 @@
 #!/bin/ksh
 #
-#$Id$
+#$Id: rebuild 2281 2010-10-15 14:21:13Z smasson $
 #
 # This software is governed by the CeCILL license
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkcond.c	(revision 5733)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkcond.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkgen.c	(revision 5733)
@@ -1,4 +1,4 @@
 /* Generate tk script based upon config.in
- * $Id$
+ * $Id: tkgen.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/EXTERNAL/IOIPSL/tools/tkparse.c	(revision 5733)
@@ -1,4 +1,4 @@
 /* parser config.in
- * $Id$
+ * $Id: tkparse.c 2281 2010-10-15 14:21:13Z smasson $
  *
  * This software is governed by the CeCILL license
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/LIM_SRC_3/limctl.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/LIM_SRC_3/limctl.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/LIM_SRC_3/limctl.F90	(revision 5733)
@@ -40,5 +40,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/LIM3 4.0 , UCL - NEMO Consortium (2011)
-   !! $Id: limctl.F90 5043 2015-01-28 16:44:18Z clem $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90	(revision 5733)
@@ -114,5 +114,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: dynhpg.F90 2528 2010-12-27 17:33:53Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopts.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopts.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/stopts.F90	(revision 5733)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: eosbn2.F90 2528 2010-12-27 17:33:53Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/storng.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/storng.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/STO/storng.F90	(revision 5733)
@@ -59,5 +59,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: dynhpg.F90 2528 2010-12-27 17:33:53Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/module_example
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 5733)
@@ -52,5 +52,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$ 
+   !! $Id: module_example 4147 2013-11-04 11:51:55Z cetlod $ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcice_c14b.F90	(revision 5733)
@@ -20,5 +20,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcice_c14b.F90 4990 2014-12-15 16:42:49Z timgraham $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/C14b/trcwri_c14b.F90	(revision 5733)
@@ -54,5 +54,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcwri_c14b.F90 3160 2011-11-20 14:27:18Z cetlod $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcice_cfc.F90	(revision 5733)
@@ -23,5 +23,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcice_cfc.F90 4990 2014-12-15 16:42:49Z timgraham $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/CFC/trcwri_cfc.F90	(revision 5733)
@@ -54,5 +54,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/TOP 3.3 , NEMO Consortium (2010)
-   !! $Id: trcwri_cfc.F90 3160 2011-11-20 14:27:18Z cetlod $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/SETTE/all_functions.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/SETTE/all_functions.sh	(revision 5733)
@@ -79,5 +79,5 @@
 # ==========
 #
-# $Id$
+# $Id: all_functions.sh 4316 2013-11-26 15:43:56Z clevy $
 #
 #   * creation
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_archfile.sh	(revision 5733)
@@ -52,5 +52,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_archfile.sh 4162 2013-11-07 10:19:49Z cetlod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_config.sh	(revision 5733)
@@ -58,5 +58,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_config.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcheck_script.sh	(revision 5733)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcheck_script.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fclean_var.sh	(revision 5733)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fclean_var.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fcopy_dir.sh	(revision 5733)
@@ -46,5 +46,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fcopy_dir.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fgo_to_TOOLS.sh	(revision 5733)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fgo_to_TOOLS.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 5733)
@@ -48,5 +48,5 @@
 # ==========
 #
-# $Id$
+# $Id: Flist_archfile.sh 4148 2013-11-04 12:54:28Z cetlod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_WORK.sh	(revision 5733)
@@ -57,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_WORK.sh 4990 2014-12-15 16:42:49Z timgraham $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_bld.sh	(revision 5733)
@@ -51,5 +51,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_bld.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fmake_config.sh	(revision 5733)
@@ -50,5 +50,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fmake_config.sh 3715 2012-11-28 16:06:02Z acc $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fprep_agrif.sh	(revision 5733)
@@ -47,5 +47,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fprep_agrif.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/COMPILE/Fread_dir.sh	(revision 5733)
@@ -45,5 +45,5 @@
 # ==========
 #
-# $Id$
+# $Id: Fread_dir.sh 3294 2012-01-28 16:44:18Z rblod $
 #
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/MISCELLANEOUS/chk_iomput.sh	(revision 5733)
@@ -1,5 +1,5 @@
 #!/bin/bash
 #------------------------------------------------
-#$Id$
+#$Id: chk_iomput.sh 4162 2013-11-07 10:19:49Z cetlod $
 #------------------------------------------------
 #
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/in_out_manager.F90	(revision 5733)
@@ -128,5 +128,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: in_out_manager.F90 2715 2011-03-30 15:58:35Z rblod $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!=====================================================================
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/OBSTOOLS/src/par_oce.F90	(revision 5733)
@@ -194,5 +194,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: par_oce.F90 2715 2011-03-30 15:58:35Z rblod $ 
+   !! $Id$ 
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/maketools
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/maketools	(revision 5732)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/TOOLS/maketools	(revision 5733)
@@ -64,5 +64,5 @@
 # ==========
 #
-# $Id$
+# $Id: maketools 4363 2014-01-22 11:11:47Z rfurner $
 #
 #