Index: /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90
===================================================================
--- /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 5741)
+++ /branches/NERC/dev_r5518_NOC_MEDUSA_Stable/NEMOGCM/NEMO/TOP_SRC/MEDUSA/trcsed_medusa.F90	(revision 5742)
@@ -262,78 +262,80 @@
 
       !!---------------------------------------------------------------------
-
-      !! Initialization
-      !! --------------
-      !!
-      i15 = nday / 16
-      iman  = INT( raamo )
-      imois = nmonth + i15 - 1
-      IF( imois == 0 ) imois = iman
-      imois2 = nmonth
-
-      !! 1. first call kt=nittrc000
-      !! -----------------------
-      !!
-      IF( kt == nittrc000 ) THEN
-         ! initializations
-         nflx1  = 0
-         nflx11 = 0
-         ! open the file
-         IF(lwp) THEN
-            WRITE(numout,*) ' '
-            WRITE(numout,*) ' **** Routine trc_sed_medusa_sbc'
+      IF (bdustfer) THEN
+         !! Initialization
+         !! --------------
+         !!
+         i15 = nday / 16
+         iman  = INT( raamo )
+         imois = nmonth + i15 - 1
+         IF( imois == 0 ) imois = iman
+         imois2 = nmonth
+
+         !! 1. first call kt=nittrc000
+         !! -----------------------
+         !!
+         IF (kt == nittrc000) THEN
+            ! initializations
+            nflx1  = 0
+            nflx11 = 0
+            ! open the file
+            IF(lwp) THEN
+               WRITE(numout,*) ' '
+               WRITE(numout,*) ' **** Routine trc_sed_medusa_sbc'
+            ENDIF
+            CALL iom_open ( 'dust.orca.nc', numdust )
+            IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: dust.orca.nc opened'
          ENDIF
-         CALL iom_open ( 'dust.orca.nc', numdust )
-	 IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: dust.orca.nc opened'
+   
+         !! Read monthly file
+         !! ----------------
+         !!
+         IF( kt == nittrc000 .OR. imois /= nflx1 ) THEN
+
+            !! Calendar computation
+            !!
+            !! nflx1 number of the first file record used in the simulation
+            !! nflx2 number of the last  file record
+            !!
+            nflx1 = imois
+            nflx2 = nflx1+1
+            nflx1 = MOD( nflx1, iman )
+            nflx2 = MOD( nflx2, iman )
+            IF( nflx1 == 0 )   nflx1 = iman
+            IF( nflx2 == 0 )   nflx2 = iman
+            IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: first record file used nflx1 ',nflx1
+            IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: last  record file used nflx2 ',nflx2
+
+            !! Read monthly fluxes data
+            !!
+            !! humidity
+            !!
+            CALL iom_get ( numdust, jpdom_data, 'dust', dustmo(:,:,1), nflx1 )
+            CALL iom_get ( numdust, jpdom_data, 'dust', dustmo(:,:,2), nflx2 )
+
+            IF(lwp .AND. nitend-nit000 <= 100 ) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) ' read clio flx ok'
+               WRITE(numout,*)
+               WRITE(numout,*)
+               WRITE(numout,*) 'Clio month: ',nflx1,'  field: dust'
+               CALL prihre( dustmo(:,:,1),jpi,jpj,1,jpi,20,1,jpj,10,1e9,numout )
+            ENDIF
+ 
+         ENDIF
+
+         !! 3. at every time step interpolation of fluxes
+         !! ---------------------------------------------
+         !!
+         zxy = FLOAT( nday + 15 - 30 * i15 ) / 30
+         dust(:,:) = ( (1.-zxy) * dustmo(:,:,1) + zxy * dustmo(:,:,2) )
+
+         IF( kt == nitend ) THEN
+            CALL iom_close (numdust)
+            IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: dust.orca.nc closed'
+         ENDIF
+      ELSE 
+         dust(:,:) = 0.0
       ENDIF
-
-      !! Read monthly file
-      !! ----------------
-      !!
-      IF( kt == nittrc000 .OR. imois /= nflx1 ) THEN
-
-         !! Calendar computation
-         !!
-         !! nflx1 number of the first file record used in the simulation
-         !! nflx2 number of the last  file record
-         !!
-         nflx1 = imois
-         nflx2 = nflx1+1
-         nflx1 = MOD( nflx1, iman )
-         nflx2 = MOD( nflx2, iman )
-         IF( nflx1 == 0 )   nflx1 = iman
-         IF( nflx2 == 0 )   nflx2 = iman
-         IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: first record file used nflx1 ',nflx1
-         IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: last  record file used nflx2 ',nflx2
-
-         !! Read monthly fluxes data
-         !!
-         !! humidity
-         !!
-         CALL iom_get ( numdust, jpdom_data, 'dust', dustmo(:,:,1), nflx1 )
-         CALL iom_get ( numdust, jpdom_data, 'dust', dustmo(:,:,2), nflx2 )
-
-         IF(lwp .AND. nitend-nit000 <= 100 ) THEN
-            WRITE(numout,*)
-            WRITE(numout,*) ' read clio flx ok'
-            WRITE(numout,*)
-            WRITE(numout,*)
-            WRITE(numout,*) 'Clio month: ',nflx1,'  field: dust'
-            CALL prihre( dustmo(:,:,1),jpi,jpj,1,jpi,20,1,jpj,10,1e9,numout )
-         ENDIF
-
-      ENDIF
-
-      !! 3. at every time step interpolation of fluxes
-      !! ---------------------------------------------
-      !!
-      zxy = FLOAT( nday + 15 - 30 * i15 ) / 30
-      dust(:,:) = ( (1.-zxy) * dustmo(:,:,1) + zxy * dustmo(:,:,2) )
-
-      IF( kt == nitend ) THEN
-         CALL iom_close (numdust)
-         IF(lwp) WRITE(numout,*) 'trc_sed_medusa_sbc: dust.orca.nc closed'
-      ENDIF
-
    END SUBROUTINE trc_sed_medusa_sbc
 